GET /api/lists/privileges

Spaces method and path for this operation:

get /s/{space_id}/api/lists/privileges

Refer to Spaces for more information.

Returns the caller's authentication state and the Elasticsearch cluster, index, and application privileges for .lists and .items data streams in the current Kibana space. Use this to decide which list APIs (read vs all operations) are available before you create or import lists.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • is_authenticated boolean Required
    • listItems object Required
      Hide listItems attributes Show listItems attributes object
      • application object Required
        Hide application attribute Show application attribute object
        • * boolean Additional properties
      • cluster object Required
        Hide cluster attribute Show cluster attribute object
        • * boolean Additional properties
      • has_all_requested boolean Required
      • index object Required
        Hide index attribute Show index attribute object
        • * object Additional properties
          Hide * attribute Show * attribute object
          • * boolean Additional properties
      • username string Required
    • lists object Required
      Hide lists attributes Show lists attributes object
      • application object Required
        Hide application attribute Show application attribute object
        • * boolean Additional properties
      • cluster object Required
        Hide cluster attribute Show cluster attribute object
        • * boolean Additional properties
      • has_all_requested boolean Required
      • index object Required
        Hide index attribute Show index attribute object
        • * object Additional properties
          Hide * attribute Show * attribute object
          • * boolean Additional properties
      • username string Required
  • 400 application/json

    Invalid input data response

    One of:
  • 401 application/json

    Unsuccessful authentication response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 403 application/json

    Not enough privileges response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 500 application/json

    Internal server error response

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required
GET /api/lists/privileges
curl \
 --request GET 'https://<KIBANA_URL>/api/lists/privileges' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "is_authenticated": true,
  "listItems": {
    "application": {},
    "cluster": {
      "all": true,
      "manage": true,
      "manage_api_key": true,
      "manage_index_templates": true,
      "manage_ml": true,
      "manage_own_api_key": true,
      "manage_pipeline": true,
      "manage_security": true,
      "manage_transform": true,
      "monitor": true,
      "monitor_ml": true,
      "monitor_transform": true
    },
    "has_all_requested": true,
    "index": {
      ".items-default": {
        "all": true,
        "create": true,
        "create_doc": true,
        "create_index": true,
        "delete": true,
        "delete_index": true,
        "index": true,
        "maintenance": true,
        "manage": true,
        "monitor": true,
        "read": true,
        "view_index_metadata": true,
        "write": true
      }
    },
    "username": "elastic"
  },
  "lists": {
    "application": {},
    "cluster": {
      "all": true,
      "manage": true,
      "manage_api_key": true,
      "manage_index_templates": true,
      "manage_ml": true,
      "manage_own_api_key": true,
      "manage_pipeline": true,
      "manage_security": true,
      "manage_transform": true,
      "monitor": true,
      "monitor_ml": true,
      "monitor_transform": true
    },
    "has_all_requested": true,
    "index": {
      ".lists-default": {
        "all": true,
        "create": true,
        "create_doc": true,
        "create_index": true,
        "delete": true,
        "delete_index": true,
        "index": true,
        "maintenance": true,
        "manage": true,
        "monitor": true,
        "read": true,
        "view_index_metadata": true,
        "write": true
      }
    },
    "username": "elastic"
  }
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unable to resolve list privileges: invalid or missing space context for this request",
  "statusCode": 400
}
Response examples (401)
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
Response examples (403)
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/privileges] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
Response examples (500)
{
  "message": "Internal Server Error",
  "status_code": 500
}